diff --git a/changelog b/changelog
index c36de76..88477f9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080219 tpd src/hyper/Makefile handle hyperdoc bitmaps properly
+20080219 tpd src/Makefile handle hyperdoc bitmaps properly
+20080219 tpd src/hyper/bookvol11 add additional hyperdoc page translations
 20080218 tpd src/algebra/tree.spad add function examples
 20080218 tpd src/algebra/bags.spad add function examples
 20080218 tpd src/algebra/array2.spad add function examples
diff --git a/src/Makefile.pamphlet b/src/Makefile.pamphlet
index 5df04f4..2039ca0 100644
--- a/src/Makefile.pamphlet
+++ b/src/Makefile.pamphlet
@@ -151,7 +151,7 @@ hyperdir: ${SRC}/hyper/Makefile
 	@mkdir -p ${OBJ}/${SYS}/hyper
 	@mkdir -p ${OBJ}/${SYS}/bin
 	@mkdir -p ${OBJ}/${SYS}/lib
-	@mkdir -p ${MNT}/${SYS}/doc/hypertex
+	@mkdir -p ${MNT}/${SYS}/doc/hypertex/pages/bitmaps
 	@mkdir -p ${MNT}/${SYS}/doc/src/hyper
 	@(cd hyper ; ${ENV} ${MAKE} )
 
diff --git a/src/hyper/Makefile.pamphlet b/src/hyper/Makefile.pamphlet
index 646757a..493fbb4 100644
--- a/src/hyper/Makefile.pamphlet
+++ b/src/hyper/Makefile.pamphlet
@@ -36,6 +36,12 @@ DOC=    ${MNT}/${SYS}/doc/src/hyper
 # this is where the hypertex documentation files are
 HYPER=${MNT}/${SYS}/doc/hypertex
 
+# this is where the hyperdoc pages are
+PAGES=${HYPER}/pages
+
+# this is where the hyperdoc bitmaps
+BMAPS=${PAGES}/bitmaps
+
 CFLAGS=	${CCF} -I${MID}
 LDFLAGS= -L${LIB} -lspad ${LDF}
 
@@ -77,9 +83,9 @@ OBJS= \
 	${HYPER_OBJS} ${EX2HT_OBJS} ${HTADD_OBJS} \
         ${HTHITS_OBJS} ${SPADBUF_OBJS} ${MIDOBJ}/debug.o
 
-BITMAPS=${MID}/mouse11.bitmap ${MID}/mouse11.mask ${MID}/sdown3d.bitmap \
-        ${MID}/sdown3dpr.bitmap ${MID}/sdown.bitmap ${MID}/sup3d.bitmap \
-        ${MID}/sup3dpr.bitmap ${MID}/sup.bitmap ${MID}/ht-icon
+BITMAPS=${BMAPS}/mouse11.bitmap ${BMAPS}/mouse11.mask ${BMAPS}/sdown3d.bitmap \
+        ${BMAPS}/sdown3dpr.bitmap ${BMAPS}/sdown.bitmap ${BMAPS}/sup3d.bitmap \
+        ${BMAPS}/sup3dpr.bitmap ${BMAPS}/sup.bitmap ${BMAPS}/ht-icon
 
 SCRIPTS=${OUTLIB}/htsearch ${OUTLIB}/presea
 
@@ -130,41 +136,84 @@ ${DOC}/addfile.dvi: ${IN}/addfile.pamphlet
 \section{bitmaps}
 <<bitmaps>>=
 ${MID}/mouse11.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 5 making ${OUT}/mouse11.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"mouse11.bitmap" ${IN}/bitmaps.pamphlet >${MID}/mouse11.bitmap
+	@echo 5 making ${BMAPS}/mouse11.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"mouse11.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/mouse11.bitmap
+
+${BMAPS}/mouse11.bitmap: ${MID}/mouse11.bitmap
+	@echo 5a making ${BMAPS}/mouse11.bitmap from ${MID}/mouse11.bitmap
+	@cp ${MID}/mouse11.bitmap ${BMAPS}/mouse11.bitmap
 
 ${MID}/mouse11.mask: ${IN}/bitmaps.pamphlet
-	@echo 6 making ${OUT}/mouse11.mask from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"mouse11.mask" ${IN}/bitmaps.pamphlet >${MID}/mouse11.mask
+	@echo 6 making ${BMAPS}/mouse11.mask from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"mouse11.mask" ${IN}/bitmaps.pamphlet \
+           >${MID}/mouse11.mask
+
+${BMAPS}/mouse11.mask: ${MID}/mouse11.mask
+	@echo 6a making ${BMAPS}/mouse11.mask from ${MID}/mouse11.mask
+	@cp ${MID}/mouse11.mask ${BMAPS}/mouse11.mask
 
 ${MID}/sdown3d.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 7 making ${OUT}/sdown3d.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"sdown3d.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sdown3d.bitmap
+	@echo 7 making ${BMAPS}/sdown3d.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"sdown3d.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/sdown3d.bitmap
+
+${BMAPS}/sdown3d.bitmap: ${MID}/sdown3d.bitmap
+	@echo 7a making ${BMAPS}/sdown3d.bitmap from ${MID}/sdown3d.bitmap
+	@cp ${MID}/sdown3d.bitmap ${BMAPS}/sdown3d.bitmap
 
 ${MID}/sdown3dpr.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 8 making ${OUT}/sdown3dpr.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"sdown3dpr.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sdown3dpr.bitmap
+	@echo 8 making ${BMAPS}/sdown3dpr.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"sdown3dpr.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/sdown3dpr.bitmap
+
+${BMAPS}/sdown3dpr.bitmap: ${MID}/sdown3dpr.bitmap
+	@echo 8a making ${BMAPS}/sdown3dpr.bitmap from ${MID}/sdown3dpr.bitmap
+	@cp ${MID}/sdown3dpr.bitmap ${BMAPS}/sdown3dpr.bitmap
 
 ${MID}/sdown.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 9 making ${OUT}/sdown.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"sdown.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sdown.bitmap
+	@echo 9 making ${BMAPS}/sdown.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"sdown.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/sdown.bitmap
+
+${BMAPS}/sdown.bitmap: ${MID}/sdown.bitmap
+	@echo 9a making ${BMAPS}/sdown.bitmap from ${MID}/sdown.bitmap
+	@cp ${MID}/sdown.bitmap ${BMAPS}/sdown.bitmap
 
 ${MID}/sup3d.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 10 making ${OUT}/sup3d.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"sup3d.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sup3d.bitmap
+	@echo 10 making ${BMAPS}/sup3d.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"sup3d.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/sup3d.bitmap
+
+${BMAPS}/sup3d.bitmap: ${MID}/sup3d.bitmap
+	@echo 10a making ${BMAPS}/sup3d.bitmap from ${MID}/sup3d.bitmap
+	@cp ${MID}/sup3d.bitmap ${BMAPS}/sup3d.bitmap
 
 ${MID}/sup3dpr.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 11 making ${OUT}/sup3dpr.bitmap from ${IN}/bitmaps.pamphlet
-	@${TANGLE} -R"sup3dpr.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sup3dpr.bitmap
+	@echo 11 making ${BMAPS}/sup3dpr.bitmap from ${IN}/bitmaps.pamphlet
+	@${TANGLE} -R"sup3dpr.bitmap" ${IN}/bitmaps.pamphlet \
+           >${MID}/sup3dpr.bitmap
+
+${BMAPS}/sup3dpr.bitmap: ${MID}/sup3dpr.bitmap
+	@echo 11a making ${BMAPS}/sup3dpr.bitmap from ${MID}/sup3dpr.bitmap
+	@cp ${MID}/sup3dpr.bitmap ${BMAPS}/sup3dpr.bitmap
 
 ${MID}/sup.bitmap: ${IN}/bitmaps.pamphlet
-	@echo 12 making ${OUT}/sup.bitmap from ${IN}/bitmaps.pamphlet
+	@echo 12 making ${BMAPS}/sup.bitmap from ${IN}/bitmaps.pamphlet
 	@${TANGLE} -R"sup.bitmap" ${IN}/bitmaps.pamphlet >${MID}/sup.bitmap
 
+${BMAPS}/sup.bitmap: ${MID}/sup.bitmap
+	@echo 12a making ${BMAPS}/sup.bitmap from ${MID}/sup.bitmap
+	@cp ${MID}/sup.bitmap ${BMAPS}/sup.bitmap
+
 ${MID}/ht-icon: ${IN}/bitmaps.pamphlet
-	@echo 13 making ${OUT}/ht-icon from ${IN}/bitmaps.pamphlet
+	@echo 13 making ${BMAPS}/ht-icon from ${IN}/bitmaps.pamphlet
 	@${TANGLE} -R"hticon" ${IN}/bitmaps.pamphlet >${MID}/ht-icon
 
+${BMAPS}/ht-icon: ${MID}/ht-icon
+	@echo 13a making ${BMAPS}/ht-icon from ${MID}/ht-icon
+	@cp ${MID}/ht-icon ${BMAPS}/ht-icon
+
 ${DOC}/bitmaps.dvi: ${IN}/bitmaps.pamphlet 
 	@ echo 14 making ${DOC}/bitmaps.dvi from ${IN}/bitmaps.pamphlet
 	@ (cd ${DOC} ; \
@@ -579,7 +628,7 @@ ${MID}/initx.c: ${IN}/initx.pamphlet
 
 ${MIDOBJ}/initx.o: ${MID}/initx.c
 	@ echo 76 making ${MIDOBJ}/initx.o from ${MID}/initx.c
-	@ ( cd ${MIDOBJ} ; \
+	 ( cd ${MIDOBJ} ; \
 	    ${CC} -I${INC} -I${MID} -c ${CFLAGS} ${MID}/initx.c )
 
 ${DOC}/initx.dvi: ${IN}/initx.pamphlet 
@@ -1078,14 +1127,17 @@ ${OUTLIB}/spadbuf: ${SPADBUF_OBJS} ${LIB}/sockio-c.o ${LIB}/bsdsignal.o \
 We need to make sure that [[ht.db]], the hypertex database file
 is up to date. The file contains absolute offsets into the various
 [[ht]] and [[pht]] files so it must reflect the current pages. In
-order to do this we run [[htadd]] in the [[${HYPER}/pages]] directory.
+order to do this we run [[htadd]] in the [[${PAGES}]] directory.
+
+The BMAPS directory holds the bitmaps for hyperdoc.
 <<pages>>=
-${HYPER}/pages/ht.db: ${IN}/pages/*.ht ${IN}/pages/*.pht
-	@echo 149 making ${HYPER}/pages from ${SRC}/pages directory
-	@ mkdir -p ${HYPER}/pages
-	@ cp -pr pages/*.ht ${HYPER}/pages
-	@ cp -pr pages/*.pht ${HYPER}/pages
-	@ (cd ${HYPER}/pages ; \
+${PAGES}/ht.db: ${IN}/pages/*.ht ${IN}/pages/*.pht
+	@echo 149 making ${PAGES} from ${SRC}/pages directory
+	@ mkdir -p ${PAGES}
+	@ mkdir -p ${BMAPS}
+	@ cp -pr pages/*.ht ${PAGES}
+	@ cp -pr pages/*.pht ${PAGES}
+	@ (cd ${PAGES} ; \
            rm -f ht.db ; \
            rm -f *~ ; \
 	   ${HTADD} *.ht *.pht )
@@ -1129,10 +1181,16 @@ ${HYPER}/axbook: ${IN}/axbook.tgz
 	@( cd ${HYPER} ; tar -zxf ${IN}/axbook.tgz )
 
 @
+The original hyperdoc pages live in the PAGES directory and the BITMAPS live
+under the PAGES directory.
+
+The browser pages are tangled from the file bookvol11 and live in HYPER. 
+The mathML version of the Jenks book lives in HYPER/axbook.
+The bigbayou and doctitle images are used by the new browser.
 <<*>>=
 <<environment>>
 all: ${INCLUDES} ${BITMAPS} ${OBJS} ${SCRIPTS} ${BINFILES} \
-     ${HYPER}/pages/ht.db ${DOCFILES} ${HYPER}/rootpage.xhtml \
+     ${PAGES}/ht.db ${DOCFILES} ${HYPER}/rootpage.xhtml \
      ${HYPER}/axbook ${MNT}/${SYS}/doc/bookvol11.dvi \
      ${HYPER}/bigbayou.png ${HYPER}/doctitle.png
 	@ echo 155 finished ${IN}
diff --git a/src/hyper/bookvol11.pamphlet b/src/hyper/bookvol11.pamphlet
index 293066e..9335c11 100644
--- a/src/hyper/bookvol11.pamphlet
+++ b/src/hyper/bookvol11.pamphlet
@@ -653,6 +653,10 @@ PAGES=rootpage.xhtml \
           numberspage.xhtml \
             numintegers.xhtml \
               numgeneralinfo.xhtml \
+                basicfunctions.xhtml \
+                primesandfactorization.xhtml \
+                somenumbertheoreticfunctions.xhtml \
+                integernumbertheoryfunctions.xhtml \
               numfactorization.xhtml \
               numfunctions.xhtml \
               numexamples.xhtml \
@@ -3666,6 +3670,15 @@ abstract algebra
 <<page foot>>
 @
 
+\subsection{basicfunctions.xhtml}
+<<basicfunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+basicfunctions not implemented
+<<page foot>>
+@
 \subsection{basiclimit.xhtml}
 <<basiclimit.xhtml>>=
 <<standard head>>
@@ -34212,6 +34225,16 @@ lists of points in the plane.
 <<page foot>>
 @
 
+\subsection{integernumbertheoryfunctions.xhtml}
+<<integernumbertheoryfunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+integernumbertheoryfunctions not implemented
+<<page foot>>
+@
+
 %%J
 \subsection{jenks.xhtml}
 <<jenks.xhtml>>=
@@ -36676,7 +36699,34 @@ Additional Topics:
  </head>
  <body>
 <<page head>>
-      numgeneralinfo not implemented
+Axiom provides many operations for manipulating arbitrary precision
+integers. In this section we will show some of those that come from
+<a href="db.xhtml?Integer">Integer</a> itself plus some that are
+implemented in other packages. More examples of using integers are in
+the following sections:
+More examples of expansions are available in
+<a href="integernumbertheoryfunctions.xhtml">IntegerNumberTheoryFunctions</a>,
+<a href="numrepeatingdecimals.xhtml">DecimalExpansion</a>,
+<a href="numrepeatingbinaryexpansions.xhtml">BinaryExpansion</a>,
+<a href="numrepeatinghexexpansions.xhtml">HexadecimalExpansion</a>, and
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>. 
+<ul>
+ <li>
+  <a href="basicfunctions.xhtml">
+   Basic Functions
+  </a>
+ </li>
+ <li>
+  <a href="primesandfactorization.xhtml">
+   Primes and Factorization
+  </a>
+ </li>
+ <li>
+  <a href="somenumbertheoreticfunctions.xhtml">
+   Some Number Theoretic Functions
+  </a>
+ </li>
+</ul>
 <<page foot>>
 @
 
@@ -41409,6 +41459,15 @@ You can also substitute numerical values for some or all of the variables.
 <<page foot>>
 @
 
+\subsection{primesandfactorization.xhtml}
+<<primesandfactorization.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+primesandfactorization not implemented
+<<page foot>>
+@
 
 \subsection{puiseuxseries.xhtml}
 <<puiseuxseries.xhtml>>=
@@ -42304,6 +42363,16 @@ Enter the size of the matrix:
 
 @
 
+\subsection{somenumbertheoreticfunctions.xhtml}
+<<somenumbertheoreticfunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+somenumbertheoreticfunctions not implemented
+<<page foot>>
+@
+
 \subsection{summation.xhtml}
 <<summation.xhtml>>=
 <<standard head>>
@@ -43073,3 +43142,5 @@ static char axiom_bits[] = {
 \bibitem{1} nothing
 \end{thebibliography}
 \end{document}
+
+
